Name:		numactl
Summary:	library for tuning for Non Uniform Memory Access machines
Version:	0.6.4
Release: %(R="$Revision: 1.27 $"; RR="${R##: }"; echo ${RR%%?})
License:	LGPL/GPL
Group: 		System Environment/Base
URL: 		ftp://ftp.suse.com/pub/people/ak/numa/
Source0: 	ftp://ftp.suse.com/pub/people/ak/numa/numactl-%{version}.tar.gz 
Buildroot:	%{_tmppath}/%{name}-buildroot

ExcludeArch: ppc64 s390 s390x

Patch1:	numactl-lib.patch
Patch2: numactl-0.6.4-ppc.patch
Patch3: numactl-0.6.4-commonalias.patch

%description
Simple NUMA policy support. It consists of a numactl program to run
other programs with a specific NUMA policy and a libnuma to do
allocations with NUMA policy in applications.

%prep
%setup -q -c -a 0

#
# reduce the number of relocations and PLT entries
#
%patch1

# Support ppc
%patch2

# Fix breakage with aliases to tentatitive common symbols.
%patch3

%build
cd numactl-%{version}
make CFLAGS="$RPM_OPT_FLAGS -I. -fPIC"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mkdir -p $RPM_BUILD_ROOT%{_includedir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man2
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man3
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8

cd numactl-%{version}
make prefix=$RPM_BUILD_ROOT/usr libdir=$RPM_BUILD_ROOT/%{_libdir} install

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_includedir}/numa.h
%{_includedir}/numaif.h
%{_libdir}/libnuma.so.1
%{_libdir}/libnuma.so
%{_bindir}/numactl
%{_bindir}/numademo
%{_bindir}/numastat
%{_bindir}/memhog
%{_mandir}/man2/*.2*
%{_mandir}/man3/*.3*
%{_mandir}/man8/*.8*

%changelog
* Wed Apr 05 2006 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Fri Mar 10 2006 Bill Nottingham <notting@redhat.com>
- rebuild for ppc TLS issue (#184446)

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.6.4-1.25.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com>
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Thu Jul  7 2005 Dave Jones <davej@redhat.com>
- numactl doesn't own the manpage dirs. (#161547)

* Tue Mar  1 2005 Dave Jones <davej@redhat.com>
- Rebuild for gcc4

* Tue Feb  8 2005 Dave Jones <davej@redhat.com>
- rebuild with -D_FORTIFY_SOURCE=2

* Wed Nov 10 2004 David Woodhouse <dwmw2@redhat.com>
- Fix build on x86_64

* Thu Oct 21 2004 David Woodhouse <dwmw2@redhat.com>
- Add PPC support

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sat Jun 05 2004 Warren Togami <wtogami@redhat.com> 
- spec cleanup

* Sat Jun 05 2004 Arjan van de Ven <arjanv@redhat.com>
- initial packaging

